UiPath Documentation
orchestrator
latest
false
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

Orchestrator API ガイド

Video recordings requests

When video recording is enabled, unattended executions can produce video recordings that are stored in system storage buckets. These requests let you retrieve time-limited download URLs for a job's or queue item's recordings and delete them.

重要:

These endpoints require video recording to be enabled for the tenant and storage buckets to be configured. If video recording is not enabled, the requests return an error.

The download URLs returned by the read requests are time-limited SAS (shared access signature) URLs that point directly to each recording file. You do not need to know the file names, the response contains one ready-to-use URL per recording. Download the recording by issuing a GET request to each returned Uri.

必要なアクセス許可

要求権限
Get job recording download URLsJobs.View ] と [ ExecutionMedia.View
Delete job recordingsJobs.Delete ] と [ ExecutionMedia.Delete
Get queue item recording download URLsJobs.View, Queues.View, and ExecutionMedia.View
Delete queue item recordingsQueues.Delete ] と [ ExecutionMedia.Delete

Getting the download URLs for a job's recordings

This GET request returns the download URLs for all the recordings associated with a job. The job is identified by its {jobKey}, which is the GUID Key field of the job (not the numeric Id). You can retrieve a job's Key from the Jobs requests, for example, GET /odata/Jobs?$filter=Id eq 125161 returns the Key.

API エンドポイント

GET

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/jobs/{jobKey}/read

要求ヘッダー

キー値 (Value)
認可Bearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

応答コード

200 OK

応答本文

[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
注:

A job can have at most 10 recording files. Each Uri is valid for a limited time; request the URLs again if they expire. For recordings served through Orchestrator's built-in SAS mechanism, the file extension is appended to the URL as a &type= query parameter so you can determine the file type.

Deleting a job's recordings

This DELETE request removes all the recording files associated with a job, identified by its GUID {jobKey}.

API エンドポイント

DELETE

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/jobs/{jobKey}

要求ヘッダー

キー値 (Value)
認可Bearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

応答コード

204 No Content

Getting the download URLs for a queue item's recordings

This GET request returns the download URLs for all the recordings associated with a queue item, identified by its numeric {queueItemId}.

API エンドポイント

GET

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/QueueItems/{queueItemId}/Read

要求ヘッダー

キー値 (Value)
認可Bearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

応答コード

200 OK

応答本文

[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]
[
    {
        "Uri": "https://{storage-account}.blob.core.windows.net/orchestrator/.../recording_1.mp4?sv=2023-01-03&se=2026-06-24T12%3A30%3A00Z&sr=b&sp=r&sig=...",
        "Verb": "GET",
        "RequiresAuth": false,
        "Headers": null
    }
]

Deleting a queue item's recordings

This DELETE request removes all the recording files associated with a queue item, identified by its numeric {queueItemId}.

API エンドポイント

DELETE

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/api/VideoRecording/QueueItems/{queueItemId}

要求ヘッダー

キー値 (Value)
認可Bearer {access_token}
X-UIPATH-OrganizationUnitId{folder_Id}

応答コード

204 No Content

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得